local xtl_cond_cd_result= GAMESTATE:IsPlayerEnabled(PLAYER_1)

local xtl_cond_dd_result= GAMESTATE:IsPlayerEnabled(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_ed",
  Def.ActorFrame{
    Name= "xtl_actor_fd",
    InitCommand= cmd(zoom,0.7;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + -120),
    Def.Sprite{
      Name= "xtl_actor_gd",
      OnCommand= cmd(y,SCREEN_CENTER_Y + -180;diffusealpha,0;sleep,15.775;diffusealpha,0.3;zoom,0.1;decelerate,0.2;rotationz,25;zoom,2;linear,0.8;rotationz,125;linear,0.2;rotationz,150;diffusealpha,0),
      Texture= "background.png",
    },
    Def.Sprite{
      Name= "xtl_actor_hd",
      OnCommand= cmd(y,SCREEN_CENTER_Y + -200;diffusealpha,0;sleep,15.775;diffusealpha,0.3;zoom,0.1;decelerate,0.2;rotationz,5;zoom,10;linear,0.8;rotationz,45;linear,0.2;rotationz,50;diffusealpha,0),
      Texture= "light.png",
    },
    Def.Sprite{
      Name= "xtl_actor_id",
      OnCommand= cmd(y,SCREEN_CENTER_Y + -180;diffusealpha,0;sleep,15.775;diffusealpha,0.3;zoom,0.1;decelerate,0.2;rotationz,-25;zoom,2;linear,0.8;rotationz,-125;linear,0.2;rotationz,-150;diffusealpha,0),
      Texture= "background.png",
    },
    Def.Sprite{
      Name= "xtl_actor_jd",
      OnCommand= cmd(diffusealpha,0;sleep,15.775;diffusealpha,1;zoom,0.1;decelerate,0.2;zoom,1.2;accelerate,0.2;zoom,0.6;linear,0.1;zoom,0.8;sleep,0.3;accelerate,0.4;addy,1000),
      Texture= "a.png",
    },
    Def.Sprite{
      Name= "xtl_actor_kd",
      OnCommand= cmd(diffusealpha,0;sleep,16.185;diffusealpha,1;zoom,0.1;accelerate,0.2;zoom,1.2;decelerate,0.2;zoom,0.9;accelerate,0.4;addy,1000),
      Texture= "party.png",
    },
    optional_actor(xtl_cond_cd_result,
    Def.Sprite{
      Name= "xtl_actor_ld",
      OnCommand= cmd(x,SCREEN_CENTER_X + -500;y,SCREEN_CENTER_Y + 640;diffusealpha,0;sleep,16.685;diffusealpha,0.3;zoom,4;accelerate,1.2;addy,-2000),
      Texture= "balloons.png",
    }),
    optional_actor(xtl_cond_dd_result,
    Def.Sprite{
      Name= "xtl_actor_md",
      OnCommand= cmd(x,SCREEN_CENTER_X + -140;y,SCREEN_CENTER_Y + 640;diffusealpha,0;sleep,16.685;diffusealpha,0.3;zoom,4;accelerate,1.2;addy,-2000),
      Texture= "balloons.png",
    }),
    optional_actor(xtl_cond_cd_result,
    Def.Sprite{
      Name= "xtl_actor_nd",
      OnCommand= cmd(x,SCREEN_CENTER_X + -500;y,SCREEN_CENTER_Y + 640;diffusealpha,0;sleep,62.750;diffusealpha,0.3;zoom,4;accelerate,1.2;addy,-2000),
      Texture= "balloons.png",
    }),
    optional_actor(xtl_cond_dd_result,
    Def.Sprite{
      Name= "xtl_actor_od",
      OnCommand= cmd(x,SCREEN_CENTER_X + -140;y,SCREEN_CENTER_Y + 640;diffusealpha,0;sleep,62.750;diffusealpha,0.3;zoom,4;accelerate,1.2;addy,-2000),
      Texture= "balloons.png",
    }),
    Def.Sprite{
      Name= "xtl_actor_pd",
      OnCommand= cmd(y,SCREEN_CENTER_Y + 60;diffusealpha,0;sleep,165.100;diffusealpha,0.25;zoom,0.1;decelerate,3.2;rotationz,1225;zoom,2;linear,25.8;rotationz,2025;linear,0.2;rotationz,2050;diffusealpha,0),
      Texture= "background.png",
    },
    Def.Sprite{
      Name= "xtl_actor_qd",
      OnCommand= cmd(y,SCREEN_CENTER_Y + 40;diffusealpha,0;sleep,165.100;diffusealpha,0.5;zoom,0.1;decelerate,0.2;rotationz,225;zoom,10;linear,28.8;rotationz,4045;linear,0.2;rotationz,4050;diffusealpha,0),
      Texture= "light.png",
    },
    Def.Sprite{
      Name= "xtl_actor_rd",
      OnCommand= cmd(y,SCREEN_CENTER_Y + 60;diffusealpha,0;sleep,165.100;diffusealpha,0.25;zoom,0.1;decelerate,3.2;rotationz,-1225;zoom,2;linear,25.8;rotationz,-2025;linear,0.2;rotationz,-2050;diffusealpha,0),
      Texture= "background.png",
    },
    Def.Sprite{
      Name= "xtl_actor_sd",
      OnCommand= cmd(y,SCREEN_CENTER_Y + -120;diffusealpha,0;sleep,145.605;diffusealpha,0.6;zoom,1;decelerate,0.11;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.11;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.11;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;queuecommand,"second"),
      Texture= "cloud.png",
      secondCommand= cmd(diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;queuecommand,"third"),
      thirdCommand= cmd(diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;diffusealpha,0;sleep,5),
    },
    Def.Sprite{
      Name= "xtl_actor_td",
      Frames= {
        {Frame= 0, Delay= 145.785},
        {Frame= 1, Delay= 0.12},
        {Frame= 2, Delay= 0.12},
        {Frame= 3, Delay= 0.24},
        {Frame= 4, Delay= 0.24},
        {Frame= 5, Delay= 0.24},
        {Frame= 6, Delay= 0.48},
        {Frame= 7, Delay= 0.24},
        {Frame= 8, Delay= 0.24},
        {Frame= 9, Delay= 0.24},
        {Frame= 10, Delay= 0.24},
        {Frame= 11, Delay= 0.24},
        {Frame= 12, Delay= 0.24},
        {Frame= 13, Delay= 200},
    },
      OnCommand= cmd(y,SCREEN_CENTER_Y + -120;diffusealpha,0;sleep,145.605;diffusealpha,1;zoom,1;decelerate,0.11;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.11;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.11;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;queuecommand,"second"),
      Texture= "./hop 5x3",
      secondCommand= cmd(diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;queuecommand,"third"),
      thirdCommand= cmd(diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;diffusealpha,0;sleep,5),
    },
    Def.Sprite{
      Name= "xtl_actor_ud",
      OnCommand= cmd(y,SCREEN_CENTER_Y + -120;diffusealpha,0;sleep,160.985;diffusealpha,0.6;zoom,1;decelerate,0.11;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.11;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.11;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;queuecommand,"second"),
      Texture= "cloud.png",
      secondCommand= cmd(diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;queuecommand,"third"),
      thirdCommand= cmd(diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,0.6;zoom,1;decelerate,0.23;diffusealpha,0.1;addy,-20;zoom,2;sleep,0.01;addy,20;diffusealpha,0;sleep,5),
    },
    Def.Sprite{
      Name= "xtl_actor_vd",
      Frames= {
        {Frame= 0, Delay= 161.145},
        {Frame= 1, Delay= 0.12},
        {Frame= 2, Delay= 0.12},
        {Frame= 3, Delay= 0.24},
        {Frame= 4, Delay= 0.24},
        {Frame= 5, Delay= 0.24},
        {Frame= 6, Delay= 0.48},
        {Frame= 7, Delay= 0.24},
        {Frame= 8, Delay= 0.24},
        {Frame= 9, Delay= 0.24},
        {Frame= 10, Delay= 0.24},
        {Frame= 11, Delay= 0.24},
        {Frame= 12, Delay= 0.24},
        {Frame= 13, Delay= 200},
    },
      OnCommand= cmd(y,SCREEN_CENTER_Y + -120;diffusealpha,0;sleep,160.985;diffusealpha,1;zoom,1;decelerate,0.11;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.11;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.11;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;queuecommand,"second"),
      Texture= "./hop 5x3",
      secondCommand= cmd(diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;queuecommand,"third"),
      thirdCommand= cmd(diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;
diffusealpha,1;zoom,1;decelerate,0.23;diffusealpha,0.5;addy,-20;zoom,2;sleep,0.01;addy,20;diffusealpha,0;sleep,5),
    },
  },
  Def.ActorFrame{
    Name= "xtl_actor_wd",
    Def.Sprite{
      Name= "xtl_actor_xd",
      Frames= {
        {Frame= 0, Delay= 31.58},
        {Frame= 1, Delay= 0.05},
        {Frame= 2, Delay= 0.05},
        {Frame= 3, Delay= 0.05},
        {Frame= 4, Delay= 0.05},
        {Frame= 5, Delay= 0.05},
        {Frame= 6, Delay= 0.05},
        {Frame= 7, Delay= 0.05},
        {Frame= 8, Delay= 0.05},
        {Frame= 9, Delay= 0.05},
        {Frame= 10, Delay= 0.05},
        {Frame= 11, Delay= 0.05},
        {Frame= 12, Delay= 0.05},
        {Frame= 13, Delay= 0.05},
        {Frame= 14, Delay= 0.05},
        {Frame= 15, Delay= 0.05},
        {Frame= 16, Delay= 200.07},
    },
      OnCommand= cmd(diffusealpha,0;sleep,31.580;diffusealpha,1;zoom,2;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 100;linear,1.05;zoom,3.0;sleep,2;addy,2000),
      Texture= "./pinkie 5x15",
    },
    Def.Sprite{
      Name= "xtl_actor_yd",
      Frames= {
        {Frame= 16, Delay= 62.25},
        {Frame= 17, Delay= 0.05},
        {Frame= 18, Delay= 0.05},
        {Frame= 19, Delay= 0.05},
        {Frame= 20, Delay= 0.05},
        {Frame= 21, Delay= 0.05},
        {Frame= 22, Delay= 0.05},
        {Frame= 23, Delay= 0.05},
        {Frame= 24, Delay= 0.05},
        {Frame= 25, Delay= 0.05},
        {Frame= 26, Delay= 0.05},
        {Frame= 27, Delay= 0.05},
        {Frame= 28, Delay= 0.05},
        {Frame= 29, Delay= 0.05},
        {Frame= 30, Delay= 0.05},
        {Frame= 31, Delay= 0.05},
    },
      OnCommand= cmd(diffusealpha,0;sleep,62.250;diffusealpha,1;zoom,2;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 100;linear,0.85;zoom,3.0;sleep,0.01;addy,2000),
      Texture= "./pinkie 5x15",
    },
    Def.Sprite{
      Name= "xtl_actor_zd",
      Frames= {
        {Frame= 31, Delay= 226.35},
        {Frame= 32, Delay= 0.05},
        {Frame= 33, Delay= 0.05},
        {Frame= 34, Delay= 0.05},
        {Frame= 35, Delay= 0.05},
        {Frame= 36, Delay= 0.05},
        {Frame= 37, Delay= 0.05},
        {Frame= 38, Delay= 0.05},
        {Frame= 39, Delay= 0.05},
        {Frame= 40, Delay= 0.05},
        {Frame= 41, Delay= 0.05},
        {Frame= 42, Delay= 0.05},
        {Frame= 43, Delay= 0.05},
        {Frame= 44, Delay= 0.05},
        {Frame= 45, Delay= 0.05},
    },
      OnCommand= cmd(diffusealpha,0;sleep,226.150;diffusealpha,1;zoom,2;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 100;linear,0.85;zoom,3.0;sleep,0.01;addy,2000),
      Texture= "./pinkie 5x15",
    },
    Def.Sprite{
      Name= "xtl_actor_ae",
      Frames= {
        {Frame= 45, Delay= 133.8},
        {Frame= 46, Delay= 0.05},
        {Frame= 47, Delay= 0.05},
        {Frame= 48, Delay= 0.05},
        {Frame= 49, Delay= 0.05},
        {Frame= 50, Delay= 0.05},
        {Frame= 51, Delay= 0.05},
        {Frame= 52, Delay= 0.05},
        {Frame= 53, Delay= 0.05},
        {Frame= 54, Delay= 0.05},
        {Frame= 55, Delay= 0.05},
        {Frame= 56, Delay= 0.05},
        {Frame= 57, Delay= 0.05},
        {Frame= 58, Delay= 0.05},
    },
      OnCommand= cmd(diffusealpha,0;sleep,133.800;diffusealpha,1;zoom,2;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 100;linear,0.85;zoom,3.0;sleep,0.01;addy,2000),
      Texture= "./pinkie 5x15",
    },
    Def.Sprite{
      Name= "xtl_actor_be",
      Frames= {
        {Frame= 58, Delay= 16.185},
        {Frame= 59, Delay= 0.05},
        {Frame= 60, Delay= 0.05},
        {Frame= 61, Delay= 0.05},
        {Frame= 62, Delay= 0.05},
        {Frame= 63, Delay= 0.05},
        {Frame= 64, Delay= 0.05},
        {Frame= 65, Delay= 0.05},
        {Frame= 66, Delay= 0.05},
        {Frame= 67, Delay= 0.05},
        {Frame= 68, Delay= 0.05},
        {Frame= 69, Delay= 0.05},
        {Frame= 70, Delay= 0.05},
        {Frame= 71, Delay= 0.05},
        {Frame= 72, Delay= 0.05},
        {Frame= 73, Delay= 0.05},
        {Frame= 74, Delay= 0.05},
    },
      OnCommand= cmd(diffusealpha,0;sleep,16.185;diffusealpha,1;zoom,2;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 100;linear,1.05;zoom,3.0;sleep,2;addy,2000),
      Texture= "./pinkie 5x15",
    },
    Def.Sprite{
      Name= "xtl_actor_ce",
      Frames= {
        {Frame= 0, Delay= 98},
        {Frame= 1, Delay= 0.05},
        {Frame= 2, Delay= 0.05},
        {Frame= 3, Delay= 0.05},
        {Frame= 4, Delay= 0.05},
        {Frame= 5, Delay= 0.05},
        {Frame= 6, Delay= 0.05},
        {Frame= 7, Delay= 0.05},
        {Frame= 8, Delay= 0.05},
        {Frame= 9, Delay= 0.05},
        {Frame= 10, Delay= 0.05},
        {Frame= 11, Delay= 0.05},
        {Frame= 12, Delay= 0.05},
        {Frame= 13, Delay= 0.05},
        {Frame= 14, Delay= 0.05},
        {Frame= 15, Delay= 0.05},
        {Frame= 16, Delay= 0.05},
        {Frame= 16, Delay= 3.5},
        {Frame= 17, Delay= 0.05},
        {Frame= 18, Delay= 0.05},
        {Frame= 19, Delay= 0.05},
        {Frame= 20, Delay= 0.05},
        {Frame= 21, Delay= 0.05},
        {Frame= 22, Delay= 0.05},
        {Frame= 23, Delay= 0.05},
        {Frame= 24, Delay= 0.05},
        {Frame= 25, Delay= 0.05},
        {Frame= 26, Delay= 0.05},
        {Frame= 27, Delay= 0.05},
        {Frame= 28, Delay= 0.05},
        {Frame= 29, Delay= 0.05},
        {Frame= 30, Delay= 0.05},
        {Frame= 31, Delay= 3.5},
        {Frame= 31, Delay= 0.05},
        {Frame= 32, Delay= 0.05},
        {Frame= 33, Delay= 0.05},
        {Frame= 34, Delay= 0.05},
        {Frame= 35, Delay= 0.05},
        {Frame= 36, Delay= 0.05},
        {Frame= 37, Delay= 0.05},
        {Frame= 38, Delay= 0.05},
        {Frame= 39, Delay= 0.05},
        {Frame= 40, Delay= 0.05},
        {Frame= 41, Delay= 0.05},
        {Frame= 42, Delay= 0.05},
        {Frame= 43, Delay= 0.05},
        {Frame= 44, Delay= 0.05},
        {Frame= 45, Delay= 0.05},
        {Frame= 45, Delay= 3.5},
        {Frame= 46, Delay= 0.05},
        {Frame= 47, Delay= 0.05},
        {Frame= 48, Delay= 0.05},
        {Frame= 49, Delay= 0.05},
        {Frame= 50, Delay= 0.05},
        {Frame= 51, Delay= 0.05},
        {Frame= 52, Delay= 0.05},
        {Frame= 53, Delay= 0.05},
        {Frame= 54, Delay= 0.05},
        {Frame= 55, Delay= 0.05},
        {Frame= 56, Delay= 0.05},
        {Frame= 57, Delay= 0.05},
        {Frame= 58, Delay= 0.05},
        {Frame= 58, Delay= 3.5},
        {Frame= 59, Delay= 0.05},
        {Frame= 60, Delay= 0.05},
        {Frame= 61, Delay= 0.05},
        {Frame= 62, Delay= 0.05},
        {Frame= 63, Delay= 0.05},
        {Frame= 64, Delay= 0.05},
        {Frame= 65, Delay= 0.05},
        {Frame= 66, Delay= 0.05},
        {Frame= 67, Delay= 0.05},
        {Frame= 68, Delay= 0.05},
        {Frame= 69, Delay= 0.05},
        {Frame= 70, Delay= 0.05},
        {Frame= 71, Delay= 0.05},
        {Frame= 72, Delay= 0.05},
        {Frame= 73, Delay= 0.05},
        {Frame= 74, Delay= 0.05},
    },
      OnCommand= cmd(diffusealpha,0;sleep,98.000;diffusealpha,1;zoom,2;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 100;linear,30.05;zoom,3.0;sleep,0.01;addy,2000),
      Texture= "./pinkie 5x15",
    },
    Def.Sprite{
      Name= "xtl_actor_de",
      Frames= {
        {Frame= 0, Delay= 0.0218},
        {Frame= 1, Delay= 0.0218},
        {Frame= 2, Delay= 0.0218},
        {Frame= 3, Delay= 0.0218},
        {Frame= 4, Delay= 0.0218},
        {Frame= 5, Delay= 0.0218},
        {Frame= 6, Delay= 0.0218},
        {Frame= 7, Delay= 0.0218},
        {Frame= 8, Delay= 0.0218},
        {Frame= 9, Delay= 0.0218},
        {Frame= 10, Delay= 0.0218},
        {Frame= 11, Delay= 0.0218},
        {Frame= 12, Delay= 0.0218},
        {Frame= 13, Delay= 0.0218},
        {Frame= 14, Delay= 0.0218},
        {Frame= 15, Delay= 0.0218},
        {Frame= 16, Delay= 0.0218},
        {Frame= 17, Delay= 0.0218},
        {Frame= 18, Delay= 0.0218},
        {Frame= 19, Delay= 0.0218},
        {Frame= 20, Delay= 0.0218},
        {Frame= 21, Delay= 0.0218},
    },
      OnCommand= cmd(diffusealpha,0;sleep,47.975;zoom,0.01;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 60;decelerate,7;diffusealpha,1;zoom,0.9;addy,-50;accelerate,5;zoom,1.4;addy,100;decelerate,12;zoom,4.0;addy,1000),
      Texture= "./gummy 5x5.png",
    },
    Def.Sprite{
      Name= "xtl_actor_ee",
      Frames= {
        {Frame= 0, Delay= 0.0218},
        {Frame= 1, Delay= 0.0218},
        {Frame= 2, Delay= 0.0218},
        {Frame= 3, Delay= 0.0218},
        {Frame= 4, Delay= 0.0218},
        {Frame= 5, Delay= 0.0218},
        {Frame= 6, Delay= 0.0218},
        {Frame= 7, Delay= 0.0218},
        {Frame= 8, Delay= 0.0218},
        {Frame= 9, Delay= 0.0218},
        {Frame= 10, Delay= 0.0218},
        {Frame= 11, Delay= 0.0218},
        {Frame= 12, Delay= 0.0218},
        {Frame= 13, Delay= 0.0218},
        {Frame= 14, Delay= 0.0218},
        {Frame= 15, Delay= 0.0218},
        {Frame= 16, Delay= 0.0218},
        {Frame= 17, Delay= 0.0218},
        {Frame= 18, Delay= 0.0218},
        {Frame= 19, Delay= 0.0218},
        {Frame= 20, Delay= 0.0218},
        {Frame= 21, Delay= 0.0218},
    },
      OnCommand= cmd(diffusealpha,0;sleep,165.100;zoom,0.01;x,SCREEN_CENTER_X + 0;y,SCREEN_CENTER_Y + 140;decelerate,3;diffusealpha,1;zoom,0.9;addy,-50;sleep,25;accelerate,3;zoom,1.4;addy,50;decelerate,6;zoom,4.0;addy,500),
      Texture= "./gummy 5x5.png",
    },
  },
}
